/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import type { Expect, SyncExpectationResult } from './types';
export { AsymmetricMatcher } from './asymmetricMatchers';
export type { AsymmetricMatchers, BaseExpect, Expect, MatcherFunction, MatcherFunctionWithState, MatcherState, Matchers, } from './types';
export declare class JestAssertionError extends Error {
    matcherResult?: Omit<SyncExpectationResult, 'message'> & {
        message: string;
    };
}
export declare const expect: Expect;
export default expect;
