/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="jest__types" />
import type { Config } from '@jest/types';
import * as constants from './constants';
export { isJSONString } from './utils';
export { default as normalize } from './normalize';
export { default as deprecationEntries } from './Deprecated';
export { replaceRootDirInPath } from './utils';
export { default as defaults } from './Defaults';
export { default as descriptions } from './Descriptions';
export { constants };
declare type ReadConfig = {
    configPath: string | null | undefined;
    globalConfig: Config.GlobalConfig;
    hasDeprecationWarnings: boolean;
    projectConfig: Config.ProjectConfig;
};
export declare function readConfig(argv: Config.Argv, packageRootOrConfig: string | Config.InitialOptions, skipArgvConfigOption?: boolean, parentConfigDirname?: string | null, projectIndex?: number, skipMultipleConfigError?: boolean): Promise<ReadConfig>;
export declare function readConfigs(argv: Config.Argv, projectPaths: Array<string>): Promise<{
    globalConfig: Config.GlobalConfig;
    configs: Array<Config.ProjectConfig>;
    hasDeprecationWarnings: boolean;
}>;
