/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Test, TestEvents } from '@jest/test-result';
import type { TestWatcher } from 'jest-watcher';
import { EmittingTestRunner, TestRunnerOptions, UnsubscribeFn } from './types';
export type { Test, TestEvents } from '@jest/test-result';
export type { Config } from '@jest/types';
export type { TestWatcher } from 'jest-watcher';
export { CallbackTestRunner, EmittingTestRunner } from './types';
export type { CallbackTestRunnerInterface, EmittingTestRunnerInterface, OnTestFailure, OnTestStart, OnTestSuccess, TestRunnerContext, TestRunnerOptions, JestTestRunner, UnsubscribeFn, } from './types';
export default class TestRunner extends EmittingTestRunner {
    #private;
    runTests(tests: Array<Test>, watcher: TestWatcher, options: TestRunnerOptions): Promise<void>;
    on<Name extends keyof TestEvents>(eventName: Name, listener: (eventData: TestEvents[Name]) => void | Promise<void>): UnsubscribeFn;
}
