/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Config } from '@jest/types';
import type { MatcherFunctionWithState } from 'expect';
import type { FS as HasteFS } from 'jest-haste-map';
import { SnapshotResolver } from './SnapshotResolver';
import type { Context } from './types';
export { addSerializer, getSerializers } from './plugins';
export { EXTENSION, buildSnapshotResolver, isSnapshotPath, } from './SnapshotResolver';
export type { SnapshotResolver } from './SnapshotResolver';
export { default as SnapshotState } from './State';
export type { SnapshotMatchers } from './types';
export declare const cleanup: (hasteFS: HasteFS, update: Config.SnapshotUpdateState, snapshotResolver: SnapshotResolver, testPathIgnorePatterns?: string[] | undefined) => {
    filesRemoved: number;
    filesRemovedList: Array<string>;
};
export declare const toMatchSnapshot: MatcherFunctionWithState<Context>;
export declare const toMatchInlineSnapshot: MatcherFunctionWithState<Context>;
export declare const toThrowErrorMatchingSnapshot: MatcherFunctionWithState<Context>;
export declare const toThrowErrorMatchingInlineSnapshot: MatcherFunctionWithState<Context>;
